EDIT - bug #6748
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration
feature request # 6596 (Closed): Migrate specimen editor
Linking between derivate view and facts/media view
06/21/2017 02:30 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.8

Severity: critical Found in Version:

Description

If the derivate view is selected but in the right hand corner like it is, when it is opened. Then the "active editor" is still the name editor
and the createDescriptionOperation works with the editorinput of the activeEditor -> this means the description is created for the
name not for the specimen.

Related issues:
Related to EDIT - bug #6747: Media and Facts view is inactive for specimen ed... Closed
Related to EDIT - feature request #6795: Invoke selection change event when s... Closed

Associated revisions

Revision 27dcccfd - 06/28/2017 10:28 AM - Patrick Plitzner

ref #6748 Unwrap E4 parts during selection change events

Revision 027fedeb - 06/28/2017 02:48 PM - Patrick Plitzner

ref #6748 Refactor parameter name to avoid ambiguity

Revision 5daadc6e - 07/07/2017 11:05 AM - Patrick Plitzner

fix #6748 Fix creation of description for specimens

Revision 15e5c1fc - 07/07/2017 02:51 PM - Patrick Plitzner

fix #6748 Fix creation of description for specimens

Revision 3ac52088 - 07/10/2017 10:47 AM - Patrick Plitzner

fix #6748 Fix creation of description for specimens

History

#1 - 06/21/2017 02:31 PM - Katja Luther

- Related to bug #6747: Media and Facts view is inactive for specimen editor added

#2 - 06/21/2017 08:27 PM - Andreas Miiller

- Severity changed from normal to critical

#3 - 06/21/2017 08:28 PM - Andreas Miiller

It seems like the linking is correct for the media view but not for the facts view

#4 - 06/23/2017 10:27 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

seems to work now with the changes for the other derivate view tickets.

#5 - 06/23/2017 11:00 AM - Andreas Miiller
- Related to feature request #6596: Migrate specimen editor added

#6 - 06/23/2017 12:56 PM - Andreas Miiller
- Related to deleted (feature request #6596: Migrate specimen editor)

#7 - 06/23/2017 12:56 PM - Andreas Miiller
- Parent task set to #6596

#8 - 07/07/2017 11:05 AM - Patrick Plitzner
- % Done changed from 0 to 50

Applied in changeset taxeditor|5daadc6e2e64a5ef6c2684c64c0df8771c084d87.

#9 - 07/07/2017 05:21 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

It still does not seem to work if the focus is set to the same record as before.
What | did:

e Open Specimen Editor

¢ Set focus to a specimen (factual data appear in factual data view)

¢ Set focus to a taxon (factual data appear for the taxon)
e Set focus back to the specimen by clicking on it (even multiple times), => factual data and also details still show the taxon data

#10 - 07/07/2017 05:26 PM - Patrick Plitzner
Andreas Muller wrote:
It still does not seem to work if the focus is set to the same record as before.
What | did:
e Open Specimen Editor
e Set focus to a specimen (factual data appear in factual data view)

¢ Set focus to a taxon (factual data appear for the taxon)
e Set focus back to the specimen by clicking on it (even multiple times), => factual data and also details still show the taxon data

That is actually a different problem. There is just no SelectionChangedEvent thrown when re-setting focus to the specimen. If you click on another
item and then on the specimen again the views are updated.

#11 - 07/07/2017 05:37 PM - Andreas Miiller

By the way, also the save button dirty state is irritated after a while if you jump back and force between taxa and specimen and add some data. After
a while it indicates a dirty state but pressing the button does not change anything and it is really difficult to get it back to undirty state.
| hope this has the same reason. Otherwise we need a new ticket.

#12 - 07/07/2017 05:40 PM - Andreas Miiller
Patrick Plitzner wrote:
Andreas Muller wrote:
It still does not seem to work if the focus is set to the same record as before.
What | did:
e Open Specimen Editor
e Set focus to a specimen (factual data appear in factual data view)

e Set focus to a taxon (factual data appear for the taxon)
¢ Set focus back to the specimen by clicking on it (even multiple times), => factual data and also details still show the taxon data

That is actually a different problem. There is just no SelectionChangedEvent thrown when re-setting focus to the specimen. If you click on
another item and then on the specimen again the views are updated.

So we need to assure that if the view looses the focus in between if getting back to the view we need to throw a selection change event.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/5daadc6e2e64a5ef6c2684c64c0df8771c084d87

If this is another issue feel free to create a new ticket. However, the effect is very similar and it is also a critical issue as the user may not recognize
that he is not editing the expected record.

#13 - 07/10/2017 10:47 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|3ac520886e2ca77781c575fd51f08b3a3f20cc1f.

#14 - 07/10/2017 02:36 PM - Andreas Miiller

should | review?

#15 - 07/10/2017 02:43 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#16 - 07/10/2017 04:07 PM - Patrick Plitzner

- Related to feature request #6795: Invoke selection change event when setting focus to specimen editor added

#17 - 07/10/2017 04:08 PM - Patrick Plitzner

| added and fixed the issue of the focus selection: #6795

#18 - 09/21/2017 06:51 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 100

Looks like this is fully fixed now.
